Summary:	Bitstream Type1 fonts
Summary(pl.UTF-8):	Fonty Type1 Bitstream
Name:		xorg-font-font-bitstream-type1
Version:	1.0.3
Release:	2
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-bitstream-type1-%{version}.tar.bz2
# Source0-md5:	5e0c9895d69d2632e2170114f8283c11
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitstream Charter and Courier fonts in Type1 format.

%description -l pl.UTF-8
Fonty Bitstream Charter i Courier w formacie Type1.

%prep
%setup -q -n font-bitstream-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
sed -e '1d' fonts.scale > fonts.scale.bitstream
rm -f fonts.scale fonts.dir fonts.cache-1

cat > Fontmap.bitstream <<EOF
/Courier10PitchBT-Roman                  (c0419bt_.pfb) ;
/Courier10PitchBT-Italic                 (c0582bt_.pfb) ;
/Courier10PitchBT-Bold                   (c0583bt_.pfb) ;
/Courier10PitchBT-BoldItalic             (c0611bt_.pfb) ;
/CharterBT-Bold                          (c0632bt_.pfb) ;
/CharterBT-BoldItalic                    (c0633bt_.pfb) ;
/CharterBT-Roman                         (c0648bt_.pfb) ;
/CharterBT-Italic                        (c0649bt_.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/c0*.pfb
%{_fontsdir}/Type1/afm/c0*.afm
%{_fontsdir}/Type1/fonts.scale.bitstream
%{_fontsdir}/Type1/Fontmap.bitstream
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-bitstream-type1.git;a=log;h=master

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 8374ca5
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 5a1be68
- dropped pre-cvs changelog

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> a8612b4
- updated to 1.0.3

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> ef523c1
- updated to 1.0.2

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> 428fda8
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b61958
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e5dfc40
- BA: noarch
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 840d71f
- informative descs
- create .Fontmap file
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c319cf9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dd48482
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 0137c4f
- 1.0.0 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> bd31ffd
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d9f0c49
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 328b075
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 71a3c58
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f903fb
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

